deploy: setup run-playbook

setup:
	ansible-galaxy install -r ansible/requirements.yml

run-playbook:
	ansible-playbook -v ansible/playbook.yml --vault-password-file .ansible_secret


plan:
	cd terraform/provider && terraform plan -destroy \
	    -var "do_token=${DO_PAT}" \
	    -var "pvt_key=$HOME/.ssh/id_rsa"
apply:
	cd terraform/provider && terraform apply -destroy \
	    -var "do_token=${DO_PAT}" \
	    -var "pvt_key=$HOME/.ssh/id_rsa"